[![pipeline status](https://git.unl.edu/unl-its/docker-ci/badges/develop/pipeline.svg)](https://git.unl.edu/unl-its/docker-ci/commits/develop)

# Docker-ci

## Containers useful in CI process

### Building Images

To build these images, clone this repository onto a machine with docker and make installed. Run `make` and all of the images will be built and installed as local docker images.  
This file is automatically updated after execute `git commit` based on the content of file `_README.md` To enable this feature, execute `.dev/bootstrap.sh` after cloning the repo.

### Available tools    

- its-registry.unl.edu/unl-its/docker-ci/alpine-ssh-client:latest
- its-registry.unl.edu/unl-its/docker-ci/android-build-server:latest
- its-registry.unl.edu/unl-its/docker-ci/dependency-check
- its-registry.unl.edu/unl-its/docker-ci/detect-secrets
- its-registry.unl.edu/unl-its/docker-ci/merge-request-check:latest
- its-registry.unl.edu/unl-its/docker-ci/php-lint:5.6
- its-registry.unl.edu/unl-its/docker-ci/php-lint:7.0
- its-registry.unl.edu/unl-its/docker-ci/php-lint:7.1
- its-registry.unl.edu/unl-its/docker-ci/php-lint:7.2
- its-registry.unl.edu/unl-its/docker-ci/php-lint:7.3
- its-registry.unl.edu/unl-its/docker-ci/php-lint:7.4
- its-registry.unl.edu/unl-its/docker-ci/php-lint:8.0
- its-registry.unl.edu/unl-its/docker-ci/php-lint:8.1
- its-registry.unl.edu/unl-its/docker-ci/php-lint:8.2
- its-registry.unl.edu/unl-its/docker-ci/php-unit-test:5.6
- its-registry.unl.edu/unl-its/docker-ci/php-unit-test:7.0
- its-registry.unl.edu/unl-its/docker-ci/php-unit-test:7.1
- its-registry.unl.edu/unl-its/docker-ci/php-unit-test:7.2
- its-registry.unl.edu/unl-its/docker-ci/php-unit-test:7.3
- its-registry.unl.edu/unl-its/docker-ci/php-unit-test:7.4
- its-registry.unl.edu/unl-its/docker-ci/php-unit-test:8.0
- its-registry.unl.edu/unl-its/docker-ci/php-unit-test:8.1
- its-registry.unl.edu/unl-its/docker-ci/php-unit-test:8.2
- its-registry.unl.edu/unl-its/docker-ci/static-code-analysis:android
- its-registry.unl.edu/unl-its/docker-ci/static-code-analysis:latest
- its-registry.unl.edu/unl-its/docker-ci/static-code-analysis:php
- its-registry.unl.edu/unl-its/docker-ci/static-code-analysis:python
- its-registry.unl.edu/unl-its/docker-ci/xml-lint:latest 
    


_Last update: Fri Aug 11 12:36:19 AM CDT 2023_